type 'a marker

val make : unit -> 'a marker

module Make : functor (Tc : Type_eq.TyCon) -> 
sig 
  val make : 'a marker -> 'a Tc.tc marker
end

val compare : 'a marker -> 'b marker -> ('a, 'b) Type_eq.eq option

type untyped_marker

val untype : 'a marker -> untyped_marker

val equals : untyped_marker -> untyped_marker -> bool
