type 'a marker = unit option ref list

let make () = [ref (Some ())]

module Make = functor (Tc : Type_eq.TyCon) ->
struct
  let cid = ref (Some ())
  let make m = Obj.magic cid::m
end

let equal x y =
     List.length x = List.length y 
  && List.fold_right2 (fun x y c -> c && x == y) x y true

let compare x y =
  if equal x y
  then Some (Obj.magic (Type_eq.refl ()))
  else None

type untyped_marker = unit marker

let untype m = Obj.magic m

let equals = Obj.magic equal
